<?php get_header(); ?>

<?php
$numfullentries = get_option('tomk32_theme_numfullentries');
if ( empty($numfullentries) ) $numfullentries = 3;
$cycle=0;

if ( !empty($posts)) {
	foreach ($posts as $post) :
		start_wp(); 

		if ($cycle < $numfullentries) :
?>
	
<div class="post <?php echo ($cycle % 2) ? 'odd': 'even'; ?>" >
	<div class="posthead">
		<div class="meta"><?php _e("In category:"); ?> <?php the_category(', ') ?><br />
<?php 
	if (function_exists('get_author_posts_url'))
		$author_url = '<a href="' . get_author_posts_url($authordata->ID, $authordata->user_nicename).'">'.get_the_author() . '</a>';
	else
		$author_url = get_the_author();
	printf(__('By %s on %s at %s'), $author_url, 
		get_the_time(get_option('date_format')), get_the_time()); ?>
		</div>
		<h2 class="storytitle"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e('Permanent Link: '); the_title(); ?>"><?php the_title(); ?></a></h2>
	</div>
	
	<div class="entrytext">
		<?php the_content(); ?>
	</div>
	
	<div class="postmetadata">
            <?php wp_link_pages("", " | ", "number"); ?>
             <?php edit_post_link('edit'); ?> <?php comments_popup_link('', __('one comment '), __('%s comments')); ?>
	</div>
	
	<!--
	<?php trackback_rdf(); ?>
	-->

<?php comments_template(); ?>
</div>

<?php 

		else: 
if ($cycle == $numfullentries) { ?>
	<div class="post" id="olderentries">
	<h2><?php _e('Older entries'); ?></h2>
	<ol start="<?php echo $numfullentries+1;?>">
<?php } ?>
		<li><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link: <?php the_title(); ?>"><?php the_title(); ?></a> <span>(am <?php the_time("d.m \u\m H:i"); echo " in "; the_category(', '); ?><?php comments_number('', __(', one comment '), __(', %s comments')); ?>)</span></li>
<?php
		endif;
$cycle++;

	endforeach; 
	if ($cycle > $numfullentries) echo "</ol></div>";

} else {
?>
	<div class="post">
		<h2><?php _e('Not found'); ?></h2>
		<div class="entrytext">
			<p><?php _e('Sorry, there is no such page. Maybe you want to try the search.
If you came through a link from a different webpage you might want to inform
the webmaster of this page about the non-functional link.'); ?></p>
<?php include (TEMPLATEPATH . '/searchform.php'); ?>
		</div>
	</div>
<?php } ?>

<?php get_footer(); ?>