<?php get_header(); ?>

<?php if (have_posts()) : the_post(); ?>

<div class="post" id="post-<?php the_ID(); ?>">
	<h2><a href="<?php echo get_permalink() ?>" rel="bookmark" title="Permanent Link: <?php the_title(); ?>"><?php the_title(); ?></a></h2>

	<div class="entrytext">
<?php the_content('<p class="serif">' . __('Read the rest of this entry &raquo;') . '</p>'); ?>
<?php link_pages('<p><strong>' . __('Pages:') . '</strong> ', '</p>', 'number'); ?>
	</div>

	<ul class="postmetadata alt">

		<li><?php 
	if (function_exists('get_author_posts_url'))
		$author_url = '<a href="' . get_author_posts_url($authordata->ID, $authordata->user_nicename).'">'.get_the_author() . '</a>';
	else
		$author_url = get_the_author();
	printf(__('By %s on %s at %s'), $author_url, 
		get_the_time(get_option('date_format')), get_the_time()); ?></li>
		<li><?php _e('Categories:'); ?> <?php the_category(', '); ?>
<?php
	if (function_exists('STP_PostTags')) {
		echo ' | ', __('Tags:'), ' '; STP_PostTags(); } ?>
<?php
	if ('open' == $post->ping_status) : ?> | <a href="<?php trackback_url(true); ?>" rel="trackback"><?php _e('trackback'); ?></a><?php endif; ?></li>
		<?php previous_post_link('<li>' . __('Previous post: ') . '%link</li>'); ?>
		<?php next_post_link('<li>' . __('Next post: ') . '%link</li>'); ?>
	</ul>

<?php comments_template(); ?>

</div>
	
<?php else: ?>
	<div class="post">
		<h2><?php _e('Error 404 - Not Found'); ?></h2>
		<div class="entrytext">
			<p><?php _e('Sorry, there is no such page. Maybe you want to try the search.
If you came through a link from a different webpage you might want to inform
the webmaster of this page about the non-functional link.'); ?></p>
<?php include (TEMPLATEPATH . '/searchform.php'); ?>
		</div>
	</div>
<? endif; ?>
	

<?php get_footer(); ?>
