<?php get_header(); ?>

	<div class="post">
	<?php if (have_posts()) : ?>

		<h2 class="pagetitle">Search Results</h2>
		<div class="entrytext">
		<div class="navigation">
			<div class="alignleft"><?php next_posts_link(__('Previous Entries')); ?></div>
			<div class="alignright"><?php previous_posts_link(__('Next Entries')); ?></div>
		</div>


		<?php while (have_posts()) : the_post(); ?>
				
			<div class="post">
				<h2 class="storytitle" id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h3>
				<small><?php the_time(get_option('date_format')); ?></small>
				
				<div class="entry">
					<?php the_excerpt() ?>
				</div>
		
				<p class="postmetadata"><?php _e('Category: '); the_category(', ') ?>
					<strong>|</strong> 
					<?php edit_post_link(__('Edit'),'',' <strong>|</strong> '); 
					comments_popup_link(__('no comments'), __('one comment'), __('%s comments')); ?>
				</p>
			</div>
	
		<?php endwhile; ?>

		<div class="navigation">
			<div class="alignleft"><?php next_posts_link(__('Previous Entries')); ?></div>
			<div class="alignright"><?php previous_posts_link(__('Next Entries')); ?></div>
		</div>
		</div>
	<?php else : ?>

		<h2 class="center"><?php _e('Not Found'); ?></h2>
		<div class="entrytext">
		<?php include (TEMPLATEPATH . '/searchform.php'); ?>
		</div>
	<?php endif; ?>
	</div>


<?php get_footer(); ?>